;;; -*-lisp-*-

(defpackage #:mdw.asdf
  (:use #:common-lisp #:asdf))
(in-package #:mdw.asdf)

(defsystem #:mdw
  :description "Useful utilities"
  :version "2.0.3"
  :author "Mark Wooding <mdw@distorted.org.uk>"
  :components ((:file "mdw-base")
	       (:file "anaphora")
	       (:file "sys-base")
	       (:file "factorial")
	       (:file "mdw-mop" :depends-on ("mdw-base"))
	       (:file "str" :depends-on ("mdw-base"))
	       (:file "collect" :depends-on ("mdw-base"))
	       (:file "unix" :depends-on ("mdw-base" "collect"))
	       (:file "safely" :depends-on ("mdw-base" "unix"))
	       (:file "infix")
	       (:file "infix-ext" :depends-on ("mdw-base"
					       "infix"
					       "factorial"))
	       (:file "optparse" :depends-on ("mdw-base" "sys-base" "str"))))
